<?php

$argentinafruta="1,2,3,4,5,6,7,8,9,10,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50";
$argentinauva="11";
$argentinapimiento="100";

function argentina_nivel_dias($tempMax,&$ndias,&$nivel) {
	$ndias=11;
	$nivel=0;
	if ($tempMax>0) {
		$ndias=13;
		$nivel=1;
	}
	if ($tempMax>=0.6) {
		$ndias=15;
		$nivel=2;
	}
	if ($tempMax>=1.1) {
		$ndias=17;
		$nivel=3;
	}
}

function argentina_piminento($tempMax,&$ndias,&$nivel) {
	//menos de 1 grado  14 días
	$ndias=14;
	$nivel=1;
	if ($tempMax>1) {
		$ndias=999;
		$nivel=2;
	}
}

function argentina_uva_nivel_dias($tempMax,&$ndias,&$nivel) {
	$ndias=15;
	$nivel=0;
	if ($tempMax>=1.1) {
		$ndias=17;
		$nivel=1;
	}
}

function argentina_nivel_all($tempMax,$idEspecie,&$ndias,&$nivel,$idCamara=-1) {
	global $argentinafruta,$argentinauva,$argentinapimiento;
	writelog(">Camara #$idCamara, nivel max= $tempMax,idespecie= $idEspecie,ndias= $ndias,nivel= $nivel");
	if (strpos(','.$argentinafruta.',',$idEspecie.',')>0) {
			//writelog("calculando los dias $tempMax, $ndias,$nivel");
			argentina_nivel_dias($tempMax,&$ndias,&$nivel);
			writelog("dias calculados $tempMax,$ndias,$nivel");
	} else {
		if (strpos(','.$argentinauva.',',$idEspecie.',')>0) {
			//writelog("calculando los dias uva $tempMax, $ndias,$nivel");
			argentina_uva_nivel_dias($tempMax,&$ndias,&$nivel);
			writelog("dias calculados los dias uva $tempMax, $ndias,$nivel");
		} else {
			if ($argentinapimiento==$idEspecie) {
			//	writelog("calculando los dias argentina pimiento $tempMax, $ndias,$nivel");
				argentina_piminento($tempMax,&$ndias,&$nivel);
				writelog("dias calculados los dias argentina pimiento temp:$tempMax,ndias: $ndias,nivel: $nivel");
			} else {
				// no es argentina.
				$ndias=365;
				$nivel=999;
			}
		}
	}
}

function writelog($txt) {
	//return;
	if(filesize('c:\temp\log.txt')>500000) {
		$fp = fopen('c:\temp\log.txt', "w+");
	} else {
		$fp = fopen('c:\temp\log.txt', "a+");
	}
	fwrite($fp,$txt."\n");
	fclose($fp);
}

function leer_argentina(&$arg, $id_proceso) {
	// no guarda valores..
	$sql = "select id_proceso,fechainicial,nivel,fechafinal,temperatura,id_especie from pf_argentina where id_proceso=$id_proceso ";
	$total = 0;
	$filas = 0;
	$arg = array ();
	$resultado = "";
	ejecutarsql($sql, &$total, &$resultado);
	for ($i = 0; $i < $total; $i++) {
		$arg['id_proceso'] = mssql_result($resultado, $i, "id_proceso");
		//$arg['fechainicial'] = cnvepochdate(mssql_result($resultado, $i, "fechainicial"));
		$arg['fechainicial'] =mssql_result($resultado, $i, "fechainicial");
		$arg['nivel'] = mssql_result($resultado, $i, "nivel");
		$arg['fechafinal'] = mssql_result($resultado, $i, "fechafinal");
		$arg['temperatura'] = mssql_result($resultado, $i, "temperatura");
		$arg['id_especie'] = mssql_result($resultado, $i, "id_especie");
	}
	if (!$total) {
		$arg = array (
		'id_proceso'=>"",
		'fechainicial'=>"",
		'nivel'=>"",
		'fechafinal'=>"",
		'temperatura'=>"",
		'id_especie'=>""
		);
	}
}


?>
